package com.webonlineapp.hyjavachartsdemo;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.JavaScript;
import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

@JavaScript("prettify.js")
@Theme("hJavaChartsDemotheme")

public class HyJavaChartsDemoUIExportServer extends UI {
	private static final long serialVersionUID = 1L;


	/**
	 * 
	 */
	@Override
    protected void init(VaadinRequest vaadinRequest) {
        final VerticalLayout layout = new VerticalLayout();
        
        layout.addComponent(new DemoPage().buildPage(true));
        
        setContent(layout);
    }

    @WebServlet(urlPatterns = "/ExportServer/*", name = "HyJavaChartsDemoUIServletExportServer", displayName = "HyJavaChartsDemo", asyncSupported = true)
    @VaadinServletConfiguration(ui = HyJavaChartsDemoUIExportServer.class, productionMode = false)
    public static class HyJavaChartsDemoUIServletExportServer extends VaadinServlet {
		private static final long serialVersionUID = 1L;
    }
}
